Greenter\Model\Sale\BaseSale:
    properties:
        ublVersion:
            type: string
        tipoDoc:
            type: string
        serie:
            type: string
        correlativo:
            type: string
        fechaEmision:
            type: DateTime
        company:
            type: Greenter\Model\Company\Company
        client:
            type: Greenter\Model\Client\Client
        tipoMoneda:
            type: string
        sumOtrosCargos:
            type: float
        mtoOperGravadas:
            type: float
        mtoOperInafectas:
            type: float
        mtoOperExoneradas:
            type: float
        mtoOperExportacion:
            type: float
        mtoOperGratuitas:
            type: float
        mtoIGVGratuitas:
            type: float
        mtoIGV:
            type: float
        mtoBaseIvap:
            type: float
        mtoIvap:
            type: float
        mtoBaseIsc:
            type: float
        mtoISC:
            type: float
        mtoBaseOth:
            type: float
        mtoOtrosTributos:
            type: float
        icbper:
            type: float
        totalImpuestos:
            type: float
        redondeo:
            type: float
        mtoImpVenta:
            type: float
        details:
            type: array<Greenter\Model\Sale\SaleDetail>
        legends:
            type: array<Greenter\Model\Sale\Legend>
        guias:
            type: array<Greenter\Model\Sale\Document>
        relDocs:
            type: array<Greenter\Model\Sale\Document>
        compra:
            type: string
        formaPago:
            type: Greenter\Model\Sale\PaymentTerms
        cuotas:
            type: array<Greenter\Model\Sale\Cuota>
        name:
            type: string
